{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function fieldcount, msg, dialog_box, ncr_comm\r\ndeclare subroutine create_note\r\n$insert logical\r\n$insert msg_equates\r\n$insert quote_sigs_equ\r\n$insert lsl_users_equ\r\n$insert ncr_equ\r\nequ CrLf$ to char(13):char(10)\r\n\r\n\r\nVpMfg = xlate( 'CONFIG', 'QUOTE_SIGS', VipMfg$, 'X' )\r\nVpPwd = xlate( 'CONFIG', 'QUOTE_SIGS', VipMfgPwd$, 'X' )\r\nVPSig = .vp_sig->text\r\nVPSigName = .vp_sig_name->text\r\nCurStatus = .status->value\r\nif CurStatus = 'C' then\r\n    if ( @user4 = VPMfg ) then\r\n\t    Valid = dialog_box( 'QUOTE_SIG_PWD_ENTRY', @window, @user4:@vm:VpPwd )\r\n\t\tif Valid then\r\n\t        .vp_sig->text = @user4\r\n\t        .vp_sig_name->text = xlate( 'LSL_USERS', @user4, 'FIRST_LAST', 'X' )\r\n\t        .status->value = 'V'\r\n\t        @@window->savewarn = 1\r\n\t    end\r\n    end else\r\n        MsgInfo = ''\r\n        MsgInfo<mtext$> = 'You are not the VP of Manufacturing...'\r\n        MsgInfo<micon$> = '!'\r\n        Void = msg( '', MsgInfo )\r\n    end\r\nend else\r\n    if ( VPSig <> '' ) then\r\n\t    MsgInfo = ''\r\n\t    MsgInfo<mtext$> = 'This NCR has already been verified.'\r\n\t    MsgInfo<micon$> = '!'\r\n\t    Void = msg( '', MsgInfo )\r\n    end else\r\n\t    MsgInfo = ''\r\n\t    MsgInfo<mtext$> = 'This NCR must be signed by the department manager, signed as rejected, and signed to ship, prior to verifying.'\r\n\t    MsgInfo<micon$> = '!'\r\n\t    Void = msg( '', MsgInfo )\r\n    end\r\nend\r\nreturn 0"
        }
    }
}